package com.m2pool.pool.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.pool.dto.NoticeListDto;
import com.m2pool.pool.vo.*;

import java.util.List;

/**
 * @Description 告警系统服务类
 * @Date 2024/8/19 11:40
 * @Author dy
 */
public interface NoticeService {

    /**
     * 查看当前挖矿账户绑定的通知邮箱 分页
     * @return
     * @param vo
     */
    public List<NoticeListDto> getNoticeEmailList(NoticePageVo vo);

    /**
     * 对指定挖矿账户添加通知邮箱
     * @return
     */
    public AjaxResult addNoticeEmail(NoticeAddVo vo);

    /**
     * 对指定挖矿账户添加通知邮箱
     * @return
     */
    public AjaxResult getCode(NoticeAddVo vo);

    /**
     * 修改备注信息
     * @param vo
     * @return
     */
    public AjaxResult updateInfo(NoticeUpdateVo vo);

    /**
     * 删除挖矿账户绑定的通知邮箱
     * @return
     */
    public AjaxResult deleteEmail(NoticeDelVo vo);




}
